'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DatePickerComponent = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _DatePickerCell = require('./DatePickerCell.js');

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

var _lib = require('../lib');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function DatePickerComponent(props) {
  var onDateClick = props.onDateClick,
      activeDate = props.activeDate,
      showedMonth = props.showedMonth,
      datesRange = props.datesRange,
      isDateDisabled = props.isDateDisabled;

  var data = (0, _lib.getArrayOfWeeks)(showedMonth);
  var _getRow = function _getRow(week, key) {
    var days = week.map(function (day) {
      var active = (0, _lib.isActiveDate)(day, activeDate || datesRange);
      var disabled = !(0, _lib.isDayInMonth)(day, showedMonth) || isDateDisabled(day);
      return _react2.default.createElement(_DatePickerCell.DatePickerCell, {
        onClick: onDateClick,
        active: active,
        disabled: disabled,
        data: day,
        key: day.format('DD-MM-YYYY') });
    });
    return _react2.default.createElement(
      _semanticUiReact.Table.Row,
      { key: key },
      days
    );
  };

  _getRow.handledProps = [];
  var _getTableContent = function _getTableContent(weeks) {
    return weeks.map(function (week) {
      return _getRow(week, week[0].format('YYYY-MM-DD'));
    });
  };

  return _react2.default.createElement(
    _semanticUiReact.Table.Body,
    null,
    _getTableContent(data)
  );
}

DatePickerComponent.handledProps = ['activeDate', 'datesRange', 'isDateDisabled', 'onDateClick', 'showedMonth'];
exports.default = DatePickerComponent;
exports.DatePickerComponent = DatePickerComponent;