'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.HourPicker = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _lib = require('../lib');

var _semanticUiReact = require('semantic-ui-react');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var hoverCellStyles = {
  outline: '1px solid #85b7d9',
  cursor: 'pointer'
};

var HOURS = ['00', '01', '02', '03', '04', '05', '06', '07', '08', '09', '10', '11', '12', '13', '14', '15', '16', '17', '18', '19', '20', '21', '22', '23'];

var HourPickerCell = function (_React$Component) {
  _inherits(HourPickerCell, _React$Component);

  function HourPickerCell(props) {
    _classCallCheck(this, HourPickerCell);

    var _this = _possibleConstructorReturn(this, (HourPickerCell.__proto__ || Object.getPrototypeOf(HourPickerCell)).call(this, props));

    _this.toggleHoverCell = function () {
      _this.setState(function (prevState) {
        return { hoverCell: !prevState.hoverCell };
      });
    };

    _this.onHourClick = function (event) {
      var _this$props = _this.props,
          onClick = _this$props.onClick,
          hour = _this$props.hour;

      event.stopPropagation();
      onClick(event, _extends({}, _this.props, { value: hour }));
    };

    _this.state = {
      hoverCell: false
    };
    return _this;
  }

  _createClass(HourPickerCell, [{
    key: 'render',
    value: function render() {
      var hour = this.props.hour;

      var rest = (0, _lib.getUnhandledProps)(HourPickerCell, this.props);

      return _react2.default.createElement(
        _semanticUiReact.Table.Cell,
        _extends({}, rest, {
          onClick: this.onHourClick,
          style: this.state.hoverCell ? hoverCellStyles : undefined,
          onMouseOver: this.toggleHoverCell,
          onMouseLeave: this.toggleHoverCell,
          textAlign: 'center' }),
        hour + ':00'
      );
    }
  }]);

  return HourPickerCell;
}(_react2.default.Component);

HourPickerCell.handledProps = ['hour', 'onClick'];


function HourPicker(props) {
  var onHourClick = props.onHourClick,
      activeHour = props.activeHour;


  var hours = HOURS.map(function (hour) {
    return _react2.default.createElement(HourPickerCell, {
      onClick: onHourClick,
      active: hour === activeHour,
      hour: hour,
      key: hour });
  });
  var rows = function () {
    var rows = [];
    var rowIndex = 0;
    for (var i = 0; i < hours.length; i++) {
      if (i % 4 === 0 && i !== 0) {
        rowIndex += 1;
      }
      if (!rows[rowIndex]) {
        rows[rowIndex] = [];
      }
      rows[rowIndex].push(hours[i]);
    }
    return rows;
  }().map(function (row, i) {
    return _react2.default.createElement(
      _semanticUiReact.Table.Row,
      { key: i },
      row
    );
  });
  return _react2.default.createElement(
    _semanticUiReact.Table.Body,
    null,
    rows
  );
}

HourPicker.handledProps = ['activeHour', 'onHourClick'];
exports.default = HourPicker;
exports.HourPicker = HourPicker;