'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MinutePicker = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _semanticUiReact = require('semantic-ui-react');

var _lib = require('../lib');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var cellStyle = {
  width: '33.33333%',
  minWidth: '8em'
};

var hoverCellStyles = {
  width: '33.33333%',
  minWidth: '8em',
  outline: '1px solid #85b7d9',
  cursor: 'pointer'
};

var MINUTES = ['00', '05', '10', '15', '20', '25', '30', '35', '40', '45', '50', '55'];

var MinutePickerCell = function (_React$Component) {
  _inherits(MinutePickerCell, _React$Component);

  function MinutePickerCell(props) {
    _classCallCheck(this, MinutePickerCell);

    var _this = _possibleConstructorReturn(this, (MinutePickerCell.__proto__ || Object.getPrototypeOf(MinutePickerCell)).call(this, props));

    _this.toggleHoverCell = function () {
      _this.setState(function (prevState) {
        return { hoverCell: !prevState.hoverCell };
      });
    };

    _this.onMinuteClick = function (event) {
      var _this$props = _this.props,
          onClick = _this$props.onClick,
          minute = _this$props.minute;

      event.stopPropagation();
      onClick(event, _extends({}, _this.props, { value: minute }));
    };

    _this.state = {
      hoverCell: false
    };
    return _this;
  }

  _createClass(MinutePickerCell, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          hour = _props.hour,
          minute = _props.minute;

      var rest = (0, _lib.getUnhandledProps)(MinutePickerCell, this.props);

      return _react2.default.createElement(
        _semanticUiReact.Table.Cell,
        _extends({}, rest, {
          onClick: this.onMinuteClick,
          style: this.state.hoverCell ? hoverCellStyles : cellStyle,
          onMouseOver: this.toggleHoverCell,
          onMouseLeave: this.toggleHoverCell,
          textAlign: 'center' }),
        hour + ':' + minute
      );
    }
  }]);

  return MinutePickerCell;
}(_react2.default.Component);

MinutePickerCell.handledProps = ['hour', 'minute', 'onClick'];


function MinutePicker(props) {
  var onMinuteClick = props.onMinuteClick,
      hour = props.hour,
      activeMinute = props.activeMinute;


  var minutes = MINUTES.map(function (minute) {
    return _react2.default.createElement(MinutePickerCell, {
      onClick: onMinuteClick,
      active: minute === activeMinute,
      hour: hour,
      minute: minute,
      key: minute });
  });
  var rows = function () {
    var rows = [];
    var rowIndex = 0;
    for (var i = 0; i < minutes.length; i++) {
      if (i % 3 === 0 && i !== 0) {
        rowIndex += 1;
      }
      if (!rows[rowIndex]) {
        rows[rowIndex] = [];
      }
      rows[rowIndex].push(minutes[i]);
    }
    return rows;
  }().map(function (row, i) {
    return _react2.default.createElement(
      _semanticUiReact.Table.Row,
      { key: i },
      row
    );
  });
  return _react2.default.createElement(
    _semanticUiReact.Table.Body,
    null,
    rows
  );
}

MinutePicker.handledProps = ['activeMinute', 'hour', 'onMinuteClick'];
exports.default = MinutePicker;
exports.MinutePicker = MinutePicker;