'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MonthPickerComponent = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _lib = require('../lib');

var _semanticUiReact = require('semantic-ui-react');

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var cellStyle = {
  width: '33.333333%',
  minWidth: '7em'
};

var hoverCellStyles = {
  width: '33.333333%',
  minWidth: '7em',
  outline: '1px solid #85b7d9',
  cursor: 'pointer'
};

var MonthPickerCell = function (_React$Component) {
  _inherits(MonthPickerCell, _React$Component);

  function MonthPickerCell(props) {
    _classCallCheck(this, MonthPickerCell);

    var _this = _possibleConstructorReturn(this, (MonthPickerCell.__proto__ || Object.getPrototypeOf(MonthPickerCell)).call(this, props));

    _this.onMonthClick = function (event) {
      var _this$props = _this.props,
          onClick = _this$props.onClick,
          month = _this$props.month;

      event.stopPropagation();
      onClick(event, _extends({}, _this.props, { value: month }));
    };

    _this.toggleHoverCell = function () {
      _this.setState(function (prevState) {
        return { hoverCell: !prevState.hoverCell };
      });
    };

    _this.state = {
      hoverCell: false
    };
    return _this;
  }

  _createClass(MonthPickerCell, [{
    key: 'render',
    value: function render() {
      var hoverCell = this.state.hoverCell;

      var rest = (0, _lib.getUnhandledProps)(MonthPickerCell, this.props);

      return _react2.default.createElement(
        _semanticUiReact.Table.Cell,
        _extends({}, rest, {
          onClick: this.onMonthClick,
          style: hoverCell ? hoverCellStyles : cellStyle,
          onMouseOver: this.toggleHoverCell,
          onMouseLeave: this.toggleHoverCell,
          textAlign: 'center' }),
        this.props.month
      );
    }
  }]);

  return MonthPickerCell;
}(_react2.default.Component);

MonthPickerCell.handledProps = ['month', 'onClick'];


function MonthPickerComponent(props) {
  var onMonthClick = props.onMonthClick,
      activeMonth = props.activeMonth,
      isDateDisabled = props.isDateDisabled;


  var months = (0, _lib.getMonths)().map(function (month, monthIndex) {
    var monthDisabled = _lodash2.default.isFunction(isDateDisabled) && isDateDisabled({ month: monthIndex });
    return _react2.default.createElement(MonthPickerCell, {
      disabled: monthDisabled,
      onClick: onMonthClick,
      active: !monthDisabled && month === activeMonth.toString(),
      month: month,
      key: month });
  });
  var rows = _lodash2.default.chunk(months, 3).map(function (row, i) {
    return _react2.default.createElement(
      _semanticUiReact.Table.Row,
      { key: i },
      row
    );
  });
  return _react2.default.createElement(
    _semanticUiReact.Table.Body,
    null,
    rows
  );
}

MonthPickerComponent.handledProps = ['activeMonth', 'isDateDisabled', 'onMonthClick'];
exports.default = MonthPickerComponent;
exports.MonthPickerComponent = MonthPickerComponent;