'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TimePickerComponent = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ = require('.');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

var _semanticUiReact = require('semantic-ui-react');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function TimePickerComponent(props) {
  var activeDate = props.activeDate,
      showDate = props.showDate,
      handleHeaderTimeClick = props.handleHeaderTimeClick,
      showNextDay = props.showNextDay,
      showPrevDay = props.showPrevDay,
      onHourClick = props.onHourClick,
      onMinuteClick = props.onMinuteClick,
      activeHour = props.activeHour,
      activeMinute = props.activeMinute,
      mode = props.mode;


  var headerWidth = mode === 'minute' ? '3' : mode === 'hour' ? '4' : '7';

  if (mode === 'minute') {
    return _react2.default.createElement(
      _semanticUiReact.Table,
      {
        unstackable: true,
        celled: true,
        textAlign: 'center' },
      showDate && _react2.default.createElement(_.PickerHeader, {
        onDateClick: handleHeaderTimeClick,
        onNextBtnClick: showNextDay,
        onPrevBtnClick: showPrevDay,
        activeDate: activeDate,
        includeDay: true,
        width: headerWidth }),
      _react2.default.createElement(_.MinutePicker, {
        hour: activeHour,
        activeMinute: activeMinute,
        onMinuteClick: onMinuteClick })
    );
  } else {
    return _react2.default.createElement(
      _semanticUiReact.Table,
      {
        unstackable: true,
        celled: true,
        textAlign: 'center' },
      showDate && _react2.default.createElement(_.PickerHeader, {
        onDateClick: handleHeaderTimeClick,
        onNextBtnClick: showNextDay,
        onPrevBtnClick: showPrevDay,
        activeDate: activeDate,
        includeDay: true,
        width: headerWidth }),
      _react2.default.createElement(_.HourPicker, {
        activeHour: activeHour,
        onHourClick: onHourClick })
    );
  }
}

TimePickerComponent.handledProps = ['activeHour', 'activeMinute', 'mode', 'onHourClick', 'onMinuteClick', 'onNextDayBtnClick', 'onPrevDayBtnClick', 'showDate'];


TimePickerComponent.defaultProps = {
  mode: 'hour'
};

exports.default = TimePickerComponent;
exports.TimePickerComponent = TimePickerComponent;