'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DateTimePickerContent = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _ = require('..');

var _DatePickerContent = require('./DatePickerContent');

var _customPropTypes = require('../../lib/customPropTypes');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function DateTimePickerContent(props) {
  var activeDate = props.activeDate,
      activeHour = props.activeHour,
      activeMinute = props.activeMinute,
      mode = props.mode,
      handleHeaderDateClick = props.handleHeaderDateClick,
      handleHeaderTimeClick = props.handleHeaderTimeClick,
      onYearChange = props.onYearChange,
      showNextMonth = props.showNextMonth,
      showPrevMonth = props.showPrevMonth,
      showNextYear = props.showNextYear,
      showPrevYear = props.showPrevYear,
      showNextDay = props.showNextDay,
      showPrevDay = props.showPrevDay,
      dateToShow = props.dateToShow,
      onMonthChange = props.onMonthChange,
      onDateClick = props.onDateClick,
      onHourClick = props.onHourClick,
      onMinuteClick = props.onMinuteClick,
      yearsRange = props.yearsRange,
      onPrevBtnClick = props.onPrevBtnClick,
      onNextBtnClick = props.onNextBtnClick,
      isDateDisabled = props.isDateDisabled,
      prevDisabled = props.prevDisabled,
      nextDisabled = props.nextDisabled;

  if (mode !== 'hour' && mode !== 'minute') {
    return _react2.default.createElement(_DatePickerContent.DatePickerContent, {
      prevDisabled: prevDisabled,
      nextDisabled: nextDisabled,
      isDateDisabled: isDateDisabled,
      mode: mode,
      handleHeaderDateClick: handleHeaderDateClick,
      onYearChange: onYearChange,
      showNextYear: showNextYear,
      showPrevYear: showPrevYear,
      dateToShow: dateToShow,
      onMonthChange: onMonthChange,
      showNextMonth: showNextMonth,
      showPrevMonth: showPrevMonth,
      onDateClick: onDateClick,
      activeDate: activeDate,
      yearsRange: yearsRange,
      onPrevBtnClick: onPrevBtnClick,
      onNextBtnClick: onNextBtnClick });
  }
  return _react2.default.createElement(_.TimePickerComponent, {
    mode: mode,
    showDate: true,
    activeHour: activeHour,
    activeMinute: activeMinute,
    onHourClick: onHourClick,
    onMinuteClick: onMinuteClick,
    handleHeaderTimeClick: handleHeaderTimeClick,
    activeDate: activeDate,
    showNextDay: showNextDay,
    showPrevDay: showPrevDay });
}

DateTimePickerContent.handledProps = ['activeDate', 'activeHour', 'activeMinute', 'dateToShow', 'handleHeaderDateClick', 'handleHeaderTimeClick', 'mode', 'onDateClick', 'onHourClick', 'onMinuteClick', 'onMonthChange', 'onNextBtnClick', 'onPrevBtnClick', 'onYearChange', 'showNextDay', 'showNextMonth', 'showNextYear', 'showPrevDay', 'showPrevMonth', 'showPrevYear', 'yearsRange'];
exports.default = DateTimePickerContent;
exports.DateTimePickerContent = DateTimePickerContent;