'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DatesRangePickerContent = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _semanticUiReact = require('semantic-ui-react');

var _ = require('..');

var _customPropTypes = require('../../lib/customPropTypes');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function DatesRangePickerContent(props) {
  var handleHeaderDateClick = props.handleHeaderDateClick,
      showNextMonth = props.showNextMonth,
      showPrevMonth = props.showPrevMonth,
      dateToShow = props.dateToShow,
      datesRange = props.datesRange,
      setDatesRange = props.setDatesRange,
      isDateDisabled = props.isDateDisabled,
      prevDisabled = props.prevDisabled,
      nextDisabled = props.nextDisabled;

  return _react2.default.createElement(
    _semanticUiReact.Table,
    {
      unstackable: true,
      celled: true,
      textAlign: 'center' },
    _react2.default.createElement(_.PickerHeader, {
      prevDisabled: prevDisabled.bind(null, 'day'),
      nextDisabled: nextDisabled.bind(null, 'day'),
      onDateClick: handleHeaderDateClick,
      onNextBtnClick: showNextMonth,
      onPrevBtnClick: showPrevMonth,
      activeDate: dateToShow,
      activeDatesRange: datesRange,
      showWeeks: true,
      width: '7' }),
    _react2.default.createElement(_.DatePickerComponent, {
      isDateDisabled: isDateDisabled,
      datesRange: datesRange,
      onDateClick: setDatesRange,
      showedMonth: dateToShow })
  );
}

DatesRangePickerContent.handledProps = ['dateToShow', 'datesRange', 'handleHeaderDateClick', 'setDatesRange', 'showNextMonth', 'showPrevMonth'];
exports.default = DatesRangePickerContent;
exports.DatesRangePickerContent = DatesRangePickerContent;