'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DayMode = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _semanticUiReact = require('semantic-ui-react');

var _ = require('..');

var _customPropTypes = require('../../lib/customPropTypes');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function DayMode(props) {
  var handleHeaderDateClick = props.handleHeaderDateClick,
      showNextMonth = props.showNextMonth,
      showPrevMonth = props.showPrevMonth,
      dateToShow = props.dateToShow,
      onDateClick = props.onDateClick,
      activeDate = props.activeDate,
      isDateDisabled = props.isDateDisabled,
      nextDisabled = props.nextDisabled,
      prevDisabled = props.prevDisabled;

  return _react2.default.createElement(
    _semanticUiReact.Table,
    {
      unstackable: true,
      celled: true,
      textAlign: 'center' },
    _react2.default.createElement(_.PickerHeader, {
      prevDisabled: prevDisabled.bind(null, 'day'),
      nextDisabled: nextDisabled.bind(null, 'day'),
      onDateClick: handleHeaderDateClick,
      onNextBtnClick: showNextMonth,
      onPrevBtnClick: showPrevMonth,
      activeDate: dateToShow,
      showWeeks: true,
      width: '7' }),
    _react2.default.createElement(_.DatePickerComponent, {
      isDateDisabled: isDateDisabled,
      onDateClick: onDateClick,
      activeDate: activeDate,
      showedMonth: dateToShow })
  );
}

DayMode.handledProps = ['activeDate', 'dateToShow', 'handleHeaderDateClick', 'onDateClick', 'showNextMonth', 'showPrevMonth'];
exports.default = DayMode;
exports.DayMode = DayMode;