'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.YearMode = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _semanticUiReact = require('semantic-ui-react');

var _ = require('..');

var _customPropTypes = require('../../lib/customPropTypes');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function YearMode(props) {
  var onHeaderDateClick = props.onHeaderDateClick,
      yearsRange = props.yearsRange,
      onPrevBtnClick = props.onPrevBtnClick,
      onNextBtnClick = props.onNextBtnClick,
      onYearClick = props.onYearClick,
      value = props.value,
      prevDisabled = props.prevDisabled,
      nextDisabled = props.nextDisabled,
      isDateDisabled = props.isDateDisabled;

  return _react2.default.createElement(
    _semanticUiReact.Table,
    {
      unstackable: true,
      celled: true,
      textAlign: 'center' },
    _react2.default.createElement(_.PickerHeader, {
      prevDisabled: prevDisabled.bind(null, 'year', yearsRange.start),
      nextDisabled: nextDisabled.bind(null, 'year', yearsRange.start),
      width: '3',
      onDateClick: onHeaderDateClick,
      activeYears: yearsRange,
      onPrevBtnClick: onPrevBtnClick,
      onNextBtnClick: onNextBtnClick }),
    _react2.default.createElement(_.YearPickerComponent, {
      isDateDisabled: isDateDisabled,
      onYearClick: onYearClick,
      activeYear: value,
      yearsStart: yearsRange.start })
  );
}

YearMode.handledProps = ['onHeaderDateClick', 'onNextBtnClick', 'onPrevBtnClick', 'onYearClick', 'value', 'yearsRange'];
exports.default = YearMode;
exports.YearMode = YearMode;